Update Credential
curl --request PATCH \
--url https://passkeys.hanko.io/{tenant_id}/credentials/{credential_id} \
--header 'Content-Type: application/json' \
--header 'apiKey: <apikey>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://passkeys.hanko.io/{tenant_id}/credentials/{credential_id}"
payload = { "name": "<string>" }
headers = {
"apiKey": "<apikey>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {apiKey: '<apikey>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://passkeys.hanko.io/{tenant_id}/credentials/{credential_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}Credentials
Update Credential
Endpoint for updating a webauthn credential
PATCH
/
{tenant_id}
/
credentials
/
{credential_id}
Update Credential
Headers
Secret API key
Minimum string length:
32Path Parameters
The ID of the webauthn credential
Example:
["9c9U-4tB0glkGr3TEv39An3GVmg"]
UUID of the tenant
Required string length:
36Example:
["1f496bcd-49da-4839-a02f-7ce681ccb488"]
Body
application/json
Response
No Content
Was this page helpful?
⌘I